Loading...
Searching...
No Matches
convert.hpp File Reference

Provides seqan3::views::convert. More...

`#include <concepts>`
`#include <ranges>`
`#include <seqan3/utility/concept.hpp>`
Include dependency graph for utility/views/convert.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::views
| The SeqAn namespace for views.

## Variables

template<typename out_t>
constexpr auto | seqan3::views::convert
| A view that converts each element in the input range (implicitly or via static_cast).

## Detailed Description

Provides seqan3::views::convert.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me